use strict;
my @table=();
sub cvtlang {
 my ($in,$out,$id)=@_;
 @table=();
 open I,"<$in";
 open O,">$out";
 print O "procedure switch$id;\nbegin\n";
 while (my $l=<I>) {
  if ($l=~s/^\s*([a-z_0-9]+)(\s*)=/lang^\[\1\]\2:=/) {
   push @table, $1;
  }
  print O $l;
 }
 close I;
 print O "\nend;\n";
 close O;
}
 cvtlang("bca.cz1","l_bca.cz1","_cz1");
 cvtlang("bca.cz2","l_bca.cz2","_cz2");
 cvtlang("bca.cs","l_bca.cs","_cs");
 cvtlang("bca.en","l_bca.en","_en");
 open P,">lang.inc";
 print P "type\n langt=(";
 print P join(",\n",@table);
 print P ");\n langa=array[langt] of string;\nvar\n lang:^langa;\n";
 close P;