procedure switch_cs;
begin
lang^[sfxstr]:=' SFX Archiv';
{help - usage}
lang^[bca_usage1]:='Pouziti:'#13#10
           +' Test sifrovaneho archivu: '+self+' t <archiv.bc>'#13#10
           +' Rozbal sifrovany archiv : '+self+' x <archiv.bc> [cilovy_adresar]'#13#10
           +' Vytvor sifrovany archiv : '+self+' a <archiv.bc> [filemask(y)...]';
lang^[bca_usage2]:=' Zahlad smazane soubory  : '+self+' w [disk]'#13#10
           +' Informace o archivu     : '+self+' i <archiv.bc>'#13#10
           +' Pokrocile prikazy       : '+self+' h'#13#10
           +' Zahlad soubory          : '+self+' f [filemask(y)...]';
lang^[bca_usage3]:='Bezne prepinace:'#13#10
           +' -x vytvorit SFX archiv        -p[cesta] pridat cestu k souborum v archivu'#13#10
           +' -r prochazat podadresare      -[0|1|2|3|4] pocet sifrovani (default=1)';
lang^[bca_usage4]:=' -y rici ano vsem otazkam      -y- rici ne vsem otazkam'#13#10
           +' -i pridat adresare do archivu -w[heslo] pouzit [heslo] jako heslo'#13#10
           +'Pro vyznam ostatnich prepinacu se podivejte do pokrocilych prikazu ('+self+' h)';
lang^[bca_note_1]:=' Hashovaci algoritmy: HAVAL, SHA1, RMD160 (na vytvoreni sifrovaciho klice)'#13#10
           +' Sifrovaci algoritmy: TWOFISH, BLOWFISH, RIJNDAEL, CAST128';
lang^[bca_note_2]:=' Dekuji Davidu Bartonovi (za DCPCrypt) a Ing. Pavlu Novemu, SVTI FEL CVUT'#13#10
           +' (koukal se do mych souboru bez meho souhlasu, cimz me prinutil tohle napsat)';
lang^[bca_gpl]   :=#13#10' BilboCrypt je open-source program sireny pod GPL licenci (pro plnou licenci si'#13#10
           +' prectete soubor gpl.txt).    Domaci stranka: http://www.petricek.net/';
lang^[bca_a_hlp1]:='Pokrocile prikazy:'#13#10
           +' Generator entropie      : '+self+' g <archiv.bc> <velikost_souboru> <bytu_entropie>'#13#10
           +'Spustte BilboCrypt bez parametru pro zobrazeni zakladni napovedy'#13#10
           +'Pokrocile prepinace:';
lang^[bca_a_hlp2]:=' -n nepridavat CRC           -s[soubor] pridat Self-Exec soubor (max 8 Kb)'#13#10
           +' -e[bytu] pridat entropii    -u[(b|c|r|t)...] uzivatelem definovane sifrovani'#13#10
	   +' -v2 bude kompatibilni se starsi verzi (0.81 a starsi)';
lang^[bca_a_hlp3]:=' -d nemazat soubory po zahlazeni'#13#10
           +' -b[n] nastavit mnozstvi vypisovanych hlasek (-1 .. 2, default=0)'#13#10
           +' -l[jazyk] Nastavit jazyk (viz dokumentace)';

{general}
lang^[bca_ask]   :=' (ano[Y]/ne[N]/vzdy[A]/nikdy[S]/konec[Q]) ';
lang^[bca_finish]:='Hotovo v ';
lang^[bca_secs]  :=' sekundach';
lang^[bca_brem]  :=' bytu zbyva ';
lang^[bca_rndok] :='Nahodnost sesbirana.';
lang^[bca_pass1] :='Zadej heslo archivu:';
lang^[bca_pass2] :='Pro jistotu jeste jednou:';
lang^[bca_nomatc]:='Hesla se neshoduji.';
lang^[bca_errpar]:='Chyba: Lze pouzit pouze jeden z ( -u , -0 , -1 , -2 , -3 , -4 )';
lang^[bca_errent]:='Upozorneni: Spatny pocet bytu entropie, pouziji 512 bytu';
lang^[bca_invenc]:='Chyba: Zadana neplatny algoritmus sifrovani.';
lang^[bca_invsw] :='Chyba: Spatny prepinac ';
lang^[bca_invswv]:='Chyba: Spatna hodnota prepinace ';
lang^[bca_invcmd]:='Chyba: Spatny prikaz';
lang^[bca_misarc]:='Chyba: Chybi jmeno archivu';
lang^[bca_arcnf1]:='Chyba: Archiv "';
lang^[bca_arcnf2]:='" nenalezen.';
lang^[bca_cbrk]  :='Zmacknuto Ctrl-Break';
lang^[bca_invpar]:='Chyba: Spatny parametr ';
lang^[bca_zeropwd]:='Varovani: pouzito prazdne heslo!';
{archive info}
lang^[bca_arch]  :='Archiv ';
lang^[bca_archid]:='ID archivu            : ';
lang^[bca_archv] :='Verze archivu         : ';
lang^[bca_archcl]:='Uroven sifrovani      : ';
lang^[bca_level] :='             Uroven ';
lang^[bca_unknow]:=' : Neznama metoda (';
lang^[bca_crc]   :='Archiv ma CRC         : ';
lang^[bca_sex]   :='Archiv ma Self-Exec   : ';
lang^[bca_desc]  :='Archiv ma popisek     : ';
lang^[bca_size]  :='Velikost archivu      : ';
lang^[bca_rehash]:='Pocet hashovani klice : ';
lang^[bca_bnohd] :=' bytu (bez hlavicky)';
lang^[bca_nomore]:='Toto je vse, co lze o archivu zjistit bez znalosti hesla.';
lang^[bca_nobc]  :='Chyba: Toto neni BilboCrypt archiv';
{extracting archive}
lang^[bca_extrto]:='Rozbaluji do ';
lang^[bca_dirno1]:='Chyba: Adresar ';
lang^[bca_dirno2]:=' neexistuje.';
lang^[bca_invalg]:='Chyba: Spatny algoritmus v hlavicce.';
lang^[bca_extr]  :='Rozbaluji... ';
lang^[bca_bytes] :=' bytu';
lang^[bca_exfrom]:='Rozbaluji z ';
lang^[bca_test]  :='Testuji ';
lang^[bca_errend]:='Chyba: Neocekavany konec archivu';
lang^[bca_errlen]:='Chyba: Spatna velikost archivu (pravdepodobne spatne heslo)';
lang^[bca_errmrk]:='Chyba: Spatna znacka v archivu (pravdepodobne spatne heslo nebo archiv vytvoren novejsi verzi programu)';
lang^[bca_tstsex]:='Testuji Self-Exec (';
lang^[bca_exesex]:='Spoustim Self-Exec';
lang^[bca_endsex]:='Ukoncen Self-Exec';
lang^[bca_ioerr] :='Chyba: Nelze cist archiv';
lang^[bca_bigsex]:='Chyba: Self-Exec je prilis velky';
lang^[bca_tested]:='Testovano ';
lang^[bca_extred]:='Rozbaleno ';
lang^[bca_extrdd]:='Rozbalen adresar ';
lang^[bca_skip]  :='Preskoceno ';
lang^[bca_errext]:='Chyba: Nelze rozbalit ';
lang^[bca_crcok] :='CRC archivu je OK';
lang^[bca_crcerr]:='CRC archivu je spatne!';
lang^[bca_invbc] :='Chyba: Spatny nebo poskozeny BilboCrypt archiv.';
lang^[bca_ovrwr1]:='Upozorneni: Archiv "';
lang^[bca_ovrwr2]:='" jiz existuje. Prepsat?';
lang^[bca_ovrwr3]:='Soubor ';
lang^[bca_ovrwr4]:=' existuje. Prepsat?';
{create archive}
lang^[bca_addsex]:='Pridavam Self-Exec';
lang^[bca_warsex]:='Upozorneni: Self-Exec je prilis velky (maximalni velikost je 8192 bytu';
lang^[bca_adding]:='Pridavam ';
lang^[bca_adddir]:='Pridavam adresar ';
lang^[bca_wtrail]:='Zapisuji konec...';
lang^[bca_noarcw]:='Chyba: Nelze pouzit wildcards ve jmenu archivu.';
{entropy generator}
lang^[bca_hitkey]:='Zacnete mackat klavesy pro sesbirani nahodnych cisel. (ESC k ukonceni)';
lang^[bca_wiggle]:='Zacnete hybat mysi nad timto oknem pro sesbirani nahodnych cisel. (ESC k ukonceni)';
lang^[bca_nonum] :='Chyba: Neplatne cislo ';
lang^[bca_fext1] :='Chyba: Soubor "';
lang^[bca_fext2] :='" jiz existuje.';
lang^[bca_errwri]:='Chyba pri zapisovani ';
lang^[bca_errint]:='Chyba: Proces prerusen.';
lang^[bca_nornd] :='Prilis malo nahodnych bytu, pouziji 16 bytu.';
lang^[bca_toornd]:='Prilis mnoho nahodnych bytu, pouziji 72 bytu.';

lang^[bca_nocreate]:='Chyba: Nelze vytvorit soubor. Na disk pravdepodobne nelze zapisovat.';
lang^[bca_wipe1]:='Vycisteno ';
lang^[bca_wipe2]:=' Gigabytu a ';
lang^[bca_wipe3]:=' bytu';
 
 {misc}
lang^[bca_true]  :='Ano';
lang^[bca_false] :='Ne';
lang^[bca_usrquit]:='Uzivatel prerusil proces';
lang^[bca_errlng]:='Zvoleny jazyk neni obsazen v programu : ';
lang^[bca_wmask] :='Upozorneni: Nenalezeny soubory odpovidajici ';
lang^[bca_misfiles]:='Chyba: Soubory k premazani nebyly zadany';
lang^[bca_wiping]:='Premazavam soubor: ';
lang^[bca_noopen]:='Upozorneni: Soubor nelze otevrit: ';
lang^[bca_noread]:='Chyba: Nelze precist soubor!';
lang^[bca_nowipe]:='Upozorneni: Soubor nebyl zcela premazan!';
lang^[bca_abort] :='Operace prerusena';
lang^[bca_dowipe]:='Premazat soubor ';

 {gui}
lang^[gui_nomatch]:='Hesla nesouhlasi!';
lang^[gui_ok]    :='&Ok';
lang^[gui_cancel]:='Zrusit [&C]';
lang^[gui_pass]  :='Heslo:';
lang^[gui_passverif]:='Pro kontrolu:';
lang^[gui_nowindow]:='Nelze vytvorit okno';
lang^[gui_chybka]:='Chyba:';
lang^[gui_yes]   :='Ano [&Y]';
lang^[gui_no]    :='Ne [&N]';
lang^[gui_always]:='Vzdy [&A]';
lang^[gui_skip]  :='Nikdy [&S]';
lang^[gui_quit]  :='Konec [&Q]';
lang^[gui_hide]  :='Sc&hovat';
lang^[gui_reallycancel]:='Opravdu prerusit?';
 
end;
